FilterConfig (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Interface FilterConfig

    @TransactionType(value=NOT_SUPPORTED)
    public interface FilterConfig

A filter configuration object used by a servlet container to pass information to a filter during initialization.

Since:
  Servlet 2.3, Java Card 3.0
See Also:
  `Filter`

Method Summary
`String` | `getFilterName()` Returns the filter-name of this filter as defined in the deployment descriptor.
`String` | `getInitParameter(String name)` Returns a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.
`Enumeration` | `getInitParameterNames()` Returns the names of the filter's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the filter has no initialization parameters.
`ServletContext` | `getServletContext()` Returns a reference to the `ServletContext` in which the caller is executing.

Method Detail

### getFilterName

    String getFilterName()

  Returns the filter-name of this filter as defined in the deployment descriptor.

### getServletContext

    ServletContext getServletContext()

  Returns a reference to the `ServletContext` in which the caller is executing.

  Returns:
    a `ServletContext` object, used by the caller to interact with its servlet container
  See Also:
    `ServletContext`

### getInitParameter

    String getInitParameter(String name)

  Returns a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.

  Parameters:
    `name` - a `String` specifying the name of the initialization parameter
  Returns:
    a `String` containing the value of the initialization parameter

### getInitParameterNames

    Enumeration getInitParameterNames()

  Returns the names of the filter's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the filter has no initialization parameters.

  Returns:
    an `Enumeration` of `String` objects containing the names of the filter's initialization parameters

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.